summaryrefslogtreecommitdiffstats
path: root/iptables/tests/shell/testcases/nft-only/0002invflags_0
diff options
context:
space:
mode:
authorPhil Sutter <phil@nwl.cc>2020-02-12 21:26:06 +0100
committerPhil Sutter <phil@nwl.cc>2020-02-14 12:16:32 +0100
commit2b2b7948c1960ba4680677664ff58477be869de6 (patch)
tree7cc42ce27b7c354afd999f0600dcb165983af7c3 /iptables/tests/shell/testcases/nft-only/0002invflags_0
parent8e76391096f12212985c401ee83a67990aa27a29 (diff)
tests: shell: Fix skip checks with --host mode
When testing host binaries, XT_MULTI variable contains just the program name without path component which most skip checks didn't expect. Fix them, and while being at it also reduce indenting level in two scripts by moving the skip check up front with an early exit call. Fixes: 416898e335322 ("tests/shell: Support testing host binaries") Signed-off-by: Phil Sutter <phil@nwl.cc>
Diffstat (limited to 'iptables/tests/shell/testcases/nft-only/0002invflags_0')
-rwxr-xr-xiptables/tests/shell/testcases/nft-only/0002invflags_02
1 files changed, 1 insertions, 1 deletions
diff --git a/iptables/tests/shell/testcases/nft-only/0002invflags_0 b/iptables/tests/shell/testcases/nft-only/0002invflags_0
index 406b6081..fe33874d 100755
--- a/iptables/tests/shell/testcases/nft-only/0002invflags_0
+++ b/iptables/tests/shell/testcases/nft-only/0002invflags_0
@@ -2,7 +2,7 @@
set -e
-[[ $XT_MULTI == */xtables-nft-multi ]] || { echo "skip $XT_MULTI"; exit 0; }
+[[ $XT_MULTI == *xtables-nft-multi ]] || { echo "skip $XT_MULTI"; exit 0; }
$XT_MULTI iptables -A INPUT -p tcp --dport 53 ! -s 192.168.0.1 -j ACCEPT
$XT_MULTI ip6tables -A INPUT -p tcp --dport 53 ! -s feed:babe::1 -j ACCEPT